import re

# Compiled Regex Patterns
ROOT_PATH_REGEX = re.compile(r"^/$")
# Vite Hashed File: name-hash.ext (8 chars of alphanumeric + '-' + '_')
HASHED_FILE_REGEX = re.compile(r"-[a-zA-Z0-9_-]{8}\.[a-zA-Z0-9]+$")
# Route Param Regex: :name(regex)?
ROUTE_PARAM_REGEX = re.compile(r"(:[a-zA-Z0-9_]+)(\(.*?\))?(\?)?")
